Subject: Re: git installation (as private user) should NEVER write site_perl

From: Erik Mouw <[email-masked]>
Date: Tue, 20 Feb 2007 18:55:37 +0100

On Tue, Feb 20, 2007 at 09:18:15AM -0800, Randal L. Schwartz wrote:
> I tried to install git on a system where I was a normal user.  Of course,
> this step fails:
> 
>      Installing /usr/perl5/site_perl/5.6.1/Error.pm
>      Installing /usr/perl5/site_perl/5.6.1/Git.pm

It gets installed in ~/share/perl/5.8.4/ when I compile as a normal
user (git-1.5.0.1):

Installing /home/erik/share/perl/5.8.4/Error.pm
Installing /home/erik/share/perl/5.8.4/Git.pm
Installing /home/erik/man/man3/private-Error.3pm
Installing /home/erik/man/man3/Git.3pm

Erik

-- 
They're all fools. Don't worry. Darwin may be slow, but he'll
eventually get them. -- Matthew Lammers in alt.sysadmin.recovery